#!/usr/bin/env python3
"""
interactive schema browser

Connect to specified database and open interactive shell.

PgBrowser instance is "browser".

Example:

>>> browser.schemas['myschema'].tables['mytable'].columns['id'].default
"nextval('mytable_id_seq'::regclass)"

"""

from pydbkit import pgbrowser, toolbase

import code


class InteractiveBrowserTool(toolbase.SimpleTool):
    def __init__(self):
        toolbase.SimpleTool.__init__(self, name='ibrowser', desc='Interactive schema browser.')
        self.init()

    def main(self):
        browser = pgbrowser.PgBrowser(self.pgm.get_conn('target'))
        shell = code.InteractiveConsole(locals())
        shell.interact()


tool = InteractiveBrowserTool()
tool.main()

