#!/usr/bin/env python3

import unittest

from tests import test_rowdict
from tests import test_pgmanager

enable_mysql = True
try:
    from tests import test_mymanager
except ImportError as e:
    print('Disabling MySQL tests due to import error:\n ', str(e))
    enable_mysql = False

loader = unittest.TestLoader()

suite = unittest.TestSuite()
suite.addTests(loader.loadTestsFromModule(test_rowdict))
suite.addTests(loader.loadTestsFromModule(test_pgmanager))

if enable_mysql:
    suite.addTests(loader.loadTestsFromModule(test_mymanager))

runner = unittest.TextTestRunner(verbosity=2)
result = runner.run(suite)

